Ogre::D3D9VideoModeList Class Reference

`#include <OgreD3D9VideoModeList.h>`

Inheritance diagram for Ogre::D3D9VideoModeList:
[legend]

List of all members.

## Public Member Functions

| D3D9VideoModeList (D3D9Driver *pDriver)
| ~D3D9VideoModeList ()
BOOL | enumerate ()
D3D9VideoMode * | item (size_t index)
size_t | count ()
D3D9VideoMode * | item (const String &name)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Private Attributes

D3D9Driver * | mDriver
vector< D3D9VideoMode >::type | mModeList

## Detailed Description

Definition at line 37 of file OgreD3D9VideoModeList.h.

## Constructor & Destructor Documentation

Ogre::D3D9VideoModeList::D3D9VideoModeList | ( | D3D9Driver * | pDriver | ) |

Ogre::D3D9VideoModeList::~D3D9VideoModeList | ( |  | ) |

## Member Function Documentation

size_t Ogre::D3D9VideoModeList::count | ( |  | ) |

BOOL Ogre::D3D9VideoModeList::enumerate | ( |  | ) |

D3D9VideoMode* Ogre::D3D9VideoModeList::item | ( | size_t | index | ) |

D3D9VideoMode* Ogre::D3D9VideoModeList::item | ( | const String & | name | ) |

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

D3D9Driver* Ogre::D3D9VideoModeList::mDriver`[private]`

Definition at line 40 of file OgreD3D9VideoModeList.h.

vector<D3D9VideoMode>::type Ogre::D3D9VideoModeList::mModeList`[private]`

Definition at line 41 of file OgreD3D9VideoModeList.h.

The documentation for this class was generated from the following file:

- OgreD3D9VideoModeList.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:50